SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Generic)  >   HPE Helion CloudSystem Vendors:   HPE
(HP Issues Advisory for HP Helion CloudSystem) QEMU Floppy Disk Controller Emulation Flaw Lets Local Users Gain Elevated Privileges
SecurityTracker Alert ID:  1032531
SecurityTracker URL:  http://securitytracker.com/id/1032531
CVE Reference:   CVE-2015-3456   (Links to External Site)
Date:  Jun 9 2015
Impact:   User access via local system
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): 8.x
Description:   A vulnerability was reported in QEMU. A local user on the guest system can obtain elevated privileges on the target host system. HP Helion CloudSystem is affected.

A local user on the guest system can supply specially crafted commands (e.g., FD_CMD_READ_ID, FD_CMD_DRIVE_SPECIFICATION_COMMAND) to trigger a memory corruption error and execute arbitrary code on the target host system with the privileges of the QEMU process on the host.

VMware, Microsoft Hyper-V, and Bochs hypervisors are not affected.

The original advisory is available at:

http://venom.crowdstrike.com/

Jason Geffner, CrowdStrike Senior Security Researcher, reported this vulnerability.

Impact:   A local user on the guest system can obtain elevated privileges on the target host system.
Solution:   HP has issued an advisory for HP Helion CloudSystem that describes remediation steps.

HP CloudSystem deployments using KVM on RHEL version 6.4 or 6.5 in the control plane or the data plane are affected.

The HP advisory is available at:

https://h20564.www2.hp.com/portal/site/hpsc/public/kb/docDisplay?docId=emr_na-c04706564

Vendor URL:  h20564.www2.hp.com/portal/site/hpsc/public/kb/docDisplay?docId=emr_na-c04706564 (Links to External Site)
Cause:   Access control error

Message History:   This archive entry is a follow-up to the message listed below.
May 13 2015 QEMU Floppy Disk Controller Emulation Flaw Lets Local Users Gain Elevated Privileges



 Source Message Contents

Subject:  [security bulletin] HPSBMU03349 rev.1- HP Helion CloudSystem, Local Denial of Service (DoS), Arbitrary Code Execution

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Note: the current version of the following document is available here:
https://h20564.www2.hp.com/portal/site/hpsc/public/kb/
docDisplay?docId=emr_na-c04706564

SUPPORT COMMUNICATION - SECURITY BULLETIN

Document ID: c04706564
Version: 1

HPSBMU03349 rev.1- HP Helion CloudSystem, Local Denial of Service (DoS),
Arbitrary Code Execution

NOTICE: The information in this Security Bulletin should be acted upon as
soon as possible.

Release Date: 2015-06-09
Last Updated: 2015-06-09

Potential Security Impact: Local Denial of Service (DoS), arbitrary code
execution

Source: Hewlett-Packard Company, HP Software Security Response Team

VULNERABILITY SUMMARY
A potential security vulnerability has been identified with HP Helion
CloudSystem. The vulnerability could be exploited locally resulting in Denial
of Service (DoS) or execution of arbitrary code.

Notes:

This is the vulnerability known as "Virtual Environment Neglected Operations
Manipulation" also known as "VENOM".
This vulnerability exists in the floppy disk controller driver of QEMU, an
open-source virtualization technology used to provision guest Virtual
Machines.
This vulnerability affects all versions of QEMU and could lead to hypervisor
breakout, where a user of the guest VM can gain control of the host. HP
Helion CloudSystem leverages QEMU as a core part of its virtualization
functionality and is therefore affected by this vulnerability.

References:

CVE-2015-3456 (SSRT102076)

SUPPORTED SOFTWARE VERSIONS*: ONLY impacted versions are listed.
HP Helion CloudSystem software:

HP Helion CloudSystem 8.x series

Note: Only HP CloudSystem deployment using KVM on RHEL version 6.4 or 6.5 in
the control plane or the data plane are affected by this vulnerability

BACKGROUND

CVSS 2.0 Base Metrics
===========================================================
  Reference              Base Vector             Base Score
CVE-2015-3456    (AV:A/AC:L/Au:S/C:C/I:C/A:C)       7.7
===========================================================
             Information on CVSS is documented
            in HP Customer Notice: HPSN-2008-002

RESOLUTION

HP recommends following remediation steps to resolve the vulnerability in HP
Helion CloudSystem.

The following steps are recommended by Red Hat (
https://access.redhat.com/articles/1444903 ) and must be applied for each
control plane and data plane node that is using KVM for virtualization:

Login to the node

Upgrade the QEMU package for your system using the command: 'yum update
qemu-kvm'. A full system update may be applied using the command 'yum
update'.

Guest operating systems should be powered off, and started again for the
update to take effect. Refer to the HP Helion CloudSystem administrative
guide ( http://h20564.www2.hp.com/portal/site/hpsc/public/kb/docDisplay/?docI
d=c04376928 ) for instructions on restarting appliances.

HISTORY
Version:1 (rev.1) - 9 June 2015 Initial release

Third Party Security Patches: Third party security patches that are to be
installed on systems running HP software products should be applied in
accordance with the customer's patch management policy.

Support: For issues about implementing the recommendations of this Security
Bulletin, contact normal HP Services support channel.  For other issues about
the content of this Security Bulletin, send e-mail to security-alert@hp.com.

Report: To report a potential security vulnerability with any HP supported
product, send Email to: security-alert@hp.com

Subscribe: To initiate a subscription to receive future HP Security Bulletin
alerts via Email:
http://h41183.www4.hp.com/signup_alerts.php?jumpid=hpsc_secbulletins

Security Bulletin Archive: A list of recently released Security Bulletins is
available here:
https://h20564.www2.hp.com/portal/site/hpsc/public/kb/secBullArchive/

Software Product Category: The Software Product Category is represented in
the title by the two characters following HPSB.

3C = 3COM
3P = 3rd Party Software
GN = HP General Software
HF = HP Hardware and Firmware
MP = MPE/iX
MU = Multi-Platform Software
NS = NonStop Servers
OV = OpenVMS
PI = Printing and Imaging
PV = ProCurve
ST = Storage Software
TU = Tru64 UNIX
UX = HP-UX

Copyright 2015 Hewlett-Packard Development Company, L.P.
Hewlett-Packard Company shall not be liable for technical or editorial errors
or omissions contained herein. The information provided is provided "as is"
without warranty of any kind. To the extent permitted by law, neither HP or
its affiliates, subcontractors or suppliers will be liable for
incidental,special or consequential damages including downtime cost; lost
profits; damages relating to the procurement of substitute products or
services; or damages for loss of data, or software restoration. The
information in this document is subject to change without notice.
Hewlett-Packard Company and the names of Hewlett-Packard products referenced
herein are trademarks of Hewlett-Packard Company in the United States and
other countries. Other product and company names mentioned herein may be
trademarks of their respective owners.

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.19 (GNU/Linux)

iEYEARECAAYFAlV3OJoACgkQ4B86/C0qfVkHBACg5nBvVQMQbln4GN49ll1jF6cj
vgUAnioId3zA9mtT1I/h6gL6Sw2Hr4zx
=vZ4l
-----END PGP SIGNATURE-----
 
 


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2019, SecurityGlobal.net LLC